Skip to main content
PUT
/
newsletter
/
issues
/
{issueId}
Update Issue
curl --request PUT \
  --url https://api.getmaito.com/v1/newsletter/issues/{issueId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subject": "Updated launch notes"
}
'
{
  "data": {
    "id": "<string>",
    "workspaceId": "<string>",
    "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subject": "<string>",
    "createdBy": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "slug": "<string>",
    "previewText": "<string>",
    "thumbnailUrl": "<string>",
    "contentHtml": "<string>",
    "contentJson": "<unknown>",
    "scheduledFor": "2023-11-07T05:31:56Z",
    "audience": "<unknown>",
    "isPublic": true,
    "category": {
      "id": "<string>",
      "workspaceId": "<string>",
      "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>"
    },
    "categories": [
      {
        "id": "<string>",
        "workspaceId": "<string>",
        "accountSetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "slug": "<string>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "stats": {
      "newSubscriberCount": 1,
      "subscriberCountTargeted": 1,
      "sentCount": 1,
      "deliveredCount": 1,
      "openedCount": 1,
      "clickedCount": 1,
      "bouncedCount": 1,
      "complainedCount": 1,
      "failedCount": 1
    },
    "sentAt": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getmaito.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:your-api-key
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

issueId
string
required

Issue ID.

Minimum string length: 1

Body

application/json

Provide at least one issue field.

subject
string
previewText
string | null
thumbnailUrl
string<uri> | null
contentHtml
string | null
contentJson
any
categoryId
string | null

Response

Successful response.

ok
enum<boolean>
required
Available options:
true
data
object
required